<?php
/*****************************************************************************
 * Copyright (C) 2014
 *   
 * Michiel Broek <mbroek at mbse dot eu>
 *
 * This file is part of ThermFerm
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * ThermFerm is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with ThermFerm; see the file COPYING.  If not, write to the Free
 * Software Foundation, 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 *****************************************************************************/

require_once('utilities.php');



if (isset($_GET['update'])) {
    /*
     * Build the update command
     */
    $update_cmd = "PROFILE ".$_GET['UUID'].",".$_GET['Name'];

    $sock = open_socket();
    if ($sock != false) {
    	/*
    	 * Send command and absorb the result.
    	 */
    	socket_write($sock, $update_cmd, 4096);
    	while (1) {
	    $line = socket_read($sock, 4096);
	    if ($line === '')
	    	break;
    	}
    	socket_close($sock);
    }
}



/*
 * Get current profiles
 */
$sock = open_socket();
if ($sock == false) {
    echo "";
    return;
}

socket_write($sock, "LIST PROFILES", 4096);
$answer = "";
while (1) {
    $line = socket_read($sock, 4096);
    if ($line === '')
	break;
    $answer .= $line;
}
socket_close($sock);
$arr = explode("\r\n", $answer);
$row = '[';


/* We don't use json_encode because it doesn't work for our purpose */
if (startsWith($arr[0], "212")) {
    $j = 1;
    while (1) {
	if (strcmp($arr[$j], ".") == 0)
		break;
	if ($j > 1)
	    $row .= ',';
	$f = explode(",", $arr[$j]);
	$row .= '{"UUID":"'.$f[0].'","Name":"'.$f[1].'","Steps":"'.$f[2].'"}';
	$j++;
    }
}

$row .= ']';
echo $row;

?>
